Package org.elasticsearch.xpack.sql.jdbc

# Class JdbcConfiguration

java.lang.Object
org.elasticsearch.xpack.sql.client.ConnectionConfiguration
org.elasticsearch.xpack.sql.jdbc.JdbcConfiguration

    public class JdbcConfiguration
    extends org.elasticsearch.xpack.sql.client.ConnectionConfiguration

/ Supports the following syntax / / jdbc:es://[host|ip] / jdbc:es://[host|ip]:port/(prefix) / jdbc:es://[host|ip]:port/(prefix)(?options=value&) / / Additional properties can be specified either through the Properties object or in the URL. In case of duplicates, the URL wins.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static java.net.URI` | `DEFAULT_URI` |
`static java.lang.String` | `TIME_ZONE` |

### Fields inherited from class org.elasticsearch.xpack.sql.client.ConnectionConfiguration

`AUTH_PASS, AUTH_USER, BINARY_COMMUNICATION, CONNECT_TIMEOUT, NETWORK_TIMEOUT, PAGE_SIZE, PAGE_TIMEOUT, PROPERTIES_VALIDATION, QUERY_TIMEOUT`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static boolean` | `canAccept​(java.lang.String url)` |
`static JdbcConfiguration` | `create​(java.lang.String u, java.util.Properties props, int loginTimeoutSeconds)` |
`boolean` | `debug()` |
`java.lang.String` | `debugOut()` |
`java.sql.DriverPropertyInfo[]` | `driverPropertyInfo()` |
`protected java.util.Collection<java.lang.String>` | `extraOptions()` |
`boolean` | `fieldMultiValueLeniency()` |
`boolean` | `flushAlways()` |
`boolean` | `indexIncludeFrozen()` |
`java.util.TimeZone` | `timeZone()` |

### Methods inherited from class org.elasticsearch.xpack.sql.client.ConnectionConfiguration

`authPass, authUser, baseUri, binaryCommunication, connectionString, connectTimeout, isSSLEnabled, networkTimeout, optionNames, pageSize, pageTimeout, parseValue, proxyConfig, queryTimeout, sslConfig, validateProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_URI

public static java.net.URI DEFAULT_URI

### TIME_ZONE

public static final java.lang.String TIME_ZONE

See Also:
  Constant Field Values

## Method Details

### create

public static JdbcConfiguration create​(java.lang.String u, java.util.Properties props, int loginTimeoutSeconds) throws org.elasticsearch.xpack.sql.jdbc.JdbcSQLException

Throws:
  `org.elasticsearch.xpack.sql.jdbc.JdbcSQLException`

### extraOptions

protected java.util.Collection<java.lang.String> extraOptions()

Overrides:
  `extraOptions` in class `org.elasticsearch.xpack.sql.client.ConnectionConfiguration`

### debug

public boolean debug()

### debugOut

public java.lang.String debugOut()

### flushAlways

public boolean flushAlways()

### timeZone

public java.util.TimeZone timeZone()

### fieldMultiValueLeniency

public boolean fieldMultiValueLeniency()

### indexIncludeFrozen

public boolean indexIncludeFrozen()

### canAccept

public static boolean canAccept​(java.lang.String url)

### driverPropertyInfo

public java.sql.DriverPropertyInfo[] driverPropertyInfo()